@import '../../theme/sizing';
@import '../../theme/palette';
@import '../../theme/typography';

.cover-section {
  background-color: $color_yellow;
  display: grid;
  box-sizing: border-box;
  padding: 75px 0;

  @media #{$size_query-l} {
    grid-template-columns: 350px 350px;
    grid-gap: 180px;
    justify-content: center;
  }
}

.cover-info-container {
  align-self: center;

  @media #{$size_query-m} {
    margin: 0 5%;
  }
}

.cover-title {
  @include subheader($color_black);
  text-align: center;
  margin: 0 0 10px;

  @media #{$size_query-m} {
    @include header($color_black);
  }

  @media #{$size_query-l} {
    text-align: left;
  }
}

.cover-subheader {
  @include text($color_dark-gray);
  text-align: center;
  margin: 0 0 40px;

  @media #{$size_query-m} {
    @include subheader($color_black);
    margin-bottom: 10px;
  }

  @media #{$size_query-l} {
    text-align: left;
  }
}

.cover-text {
  display: none;

  @media #{$size_query-m} {
    @include text($color_black);
    display: block;
    margin: 0 auto 50px;
    max-width: 670px;
  }

  @media #{$size_query-l} {
    text-align: left;
  }
}

.cover-download-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 180px;
  margin: 0 auto;

  @media #{$size_query-l} {
    margin: 0;
  }
}

.cover-os-icon {
  width: 40px;
  height: 40px;
  fill: $color_black;
}

.cover-download-icon {
  width: 25px;
  height: 25px;
  fill: $color_black;
  margin-left: 25px;
}

.cover-download-button {
  border: 2px solid $color_black;
  flex-basis: 100%;
  margin: 10px auto 0;
  border-radius: 5px;
  box-sizing: border-box;
  padding: 10px 0;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  @include text($color_black);
  font-weight: bold;
  transition: all .3s;
  position: relative;
  overflow: hidden;
  user-select: none;
  cursor: pointer;
  z-index: 1;

  &:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
  }

  &:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: $color_black;
    transition: all .3s;
    z-index: -1;
  }

  &:hover {
    background-color: $color_black;
    color: $color_yellow;

    &:before {
      width: 100%;
    }
  }

  &:hover .cover-download-icon {
    fill: $color_yellow;
  }

  @media #{$size_query-m} {
    margin-top: 15px;
  }
}

.cover-media-container {
  display: none;

  @media #{$size_query-l} {
    display: block;
  }
}

.cover-mobile-phone {
  width: 275px;
  height: 500px;
  background-color: $color_white;
  border-radius: 20px;
  box-sizing: border-box;
  padding: 45px 10px 20px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

.cover-phone-speaker {
  background-color: $color_dark-gray;
  width: 50px;
  height: 5px;
  border-radius: 3px;
  margin: 0 auto 15px;
}

.cover-mobile-phone-screen {
  background-color: #010101;
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
}

.cover-phone-logo {
  fill: $color_yellow;
  width: 50px;
  height: auto;
  margin-right: 10px;
}

.cover-phone-title {
  @include header($color_yellow);
}

.cover-phone-button {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  border: 3px solid $color_dark-gray;
  margin: 0 auto;
}